
{% extends 'base.html.twig' %}

{% block header_title %}Rapport d'activités de prédication{% endblock %}
{% block head_content %}
    <div class="toggle-wrap nk-block-tools-toggle">
        <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
        <div class="toggle-expand-content" data-content="pageMenu">
            <ul class="nk-block-tools g-3">
                {% if app.user.publisher %}
                    <li class="nk-block-tools-opt">


                    </li>
                {% endif %}

            </ul>
        </div>
    </div>
{% endblock %}
{% block body %}
    <div class="col-xxl-6 col-sm-12 col-md-6">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}

        <div id="accordion" class="accordion">
            {% for group in groups %}
                    <div class="accordion-item">
                        <a href="#" class="accordion-head" data-bs-toggle="collapse" data-bs-target="#accordion-item-{{ group.id }}">
                            <h6 class="title">{{ group.name }}</h6>
                            <span class="accordion-icon"></span>
                        </a>
                        <div class="accordion-body collapse show" id="accordion-item-{{ group.id }}" data-bs-parent="#accordion">
                            <div class="accordion-inner">
                                <ul>
                                    {% set createCompilation = true %}
                                    {% set canEdit = (is_granted('ROLE_SECRETARY') or group.overseer is same as app.user.publisher or group.assistant is same as app.user.publisher) %}
                                    {% for report in group.reportCompilations %}
                                        <li>
                                            {% if canEdit %}
                                                <a href="{{ path('app_fieldservice_reportcompilation_create', {'group': group.id, 'month': report.date|date('m'), 'year': report.date|date('Y')}) }}">{{ report.date|format_date('none', 'MMMM Y', locale='fr')|capitalize }}</a>
                                                {% else %}
                                                    {{ report.date|format_date('none', 'MMMM Y', locale='fr')|capitalize }}
                                            {% endif %}
                                            {% if report.closed %}
                                                <span class="badge bg-success"><em class="icon ni ni-check-circle-fill me-1"></em> Cloturé</span>
                                            {% endif %}
                                        </li>
                                        {% if currentDate|date('dmY') is same as report.date|date('dmY') %}
                                            {% set createCompilation = false %}
                                        {% endif %}

                                    {% endfor %}

                                    {% if createCompilation and canEdit  %}
                                        <div class="mt-2">
                                            <a href="{{ path('app_fieldservice_reportcompilation_create', {'group': group.id, 'month': currentDate|date('m'), 'year': currentDate|date('Y')}) }}" class="btn btn-primary btn-sm">
                                                <em class="icon ni ni-pen-fill me-1"></em>
                                                Compiler les rapports du mois de {{ currentDate|format_date('none', 'MMMM Y', locale='fr')|capitalize }}
                                            </a>
                                        </div>
                                    {% endif %}

                                </ul>
                            </div>
                        </div>
                    </div>

            {% endfor %}
        </div>
    </div><!-- .col -->


{% endblock %}
